DeFi API Dictionaries Reference
List networks
Retrieve a list of all blockchain networks supported by the platform.
GET /v1/networks
Response Example:
application/json
[
{
"id": 1,
"name": "Ethereum",
"supports_optimized_swap": false,
"supports_custom_tokens": false
},
...
]
Note: If
supports_custom_tokensis set totruefor a network, users can exchange custom tokens on that network. In this case, tokens returned by the API for the selected network represent popular tokens, but they do not form a complete list of all supported tokens.
List all tokens
Retrieve a paginated list of all tokens supported by the platform across all blockchain networks.
GET /v1/tokens
Response example:
application/json
{
"data": [
{
"id": 1,
"network_id": 1,
"name": "Tether USD",
"contract_address": "0xdac17f958d2ee523a2206206994597c13d831ec7",
"code": "USDT",
"decimals": 2,
"image": "https://cdn.changelly.com/defi/icons/1/tokens/usdt.png",
"wrapped_token_address": null
},
...
]
}
Note: If a token has a non-empty
wrapped_token_addressin the response, the token must be wrapped before use.